org.eclipse.rdf4j.common.webapp.views

## Class SimpleCustomResponseView

- java.lang.Object
- - org.eclipse.rdf4j.common.webapp.views.SimpleCustomResponseView

- All Implemented Interfaces:
    org.springframework.web.servlet.View

      public class SimpleCustomResponseView
      extends Object
      implements org.springframework.web.servlet.View

  Author:
    Herko ter Horst

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONTENT_KEY`
    `static String` | `CONTENT_LENGTH_KEY`
    `static String` | `CONTENT_TYPE_KEY`
    `static String` | `SC_KEY`

    - ### Fields inherited from interface org.springframework.web.servlet.View

      `PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleCustomResponseView()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentType()`
    `static SimpleCustomResponseView` | `getInstance()`
    `void` | `render(Map model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SC_KEY

          public static final String SC_KEY

      See Also:
        Constant Field Values

    - #### CONTENT_KEY

          public static final String CONTENT_KEY

      See Also:
        Constant Field Values

    - #### CONTENT_LENGTH_KEY

          public static final String CONTENT_LENGTH_KEY

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_KEY

          public static final String CONTENT_TYPE_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimpleCustomResponseView

          public SimpleCustomResponseView()

  - ### Method Detail

    - #### getInstance

          public static SimpleCustomResponseView getInstance()

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `org.springframework.web.servlet.View`

    - #### render

          public void render(Map model,
                             javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws Exception

      Specified by:
        `render` in interface `org.springframework.web.servlet.View`
      Throws:
        `Exception`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.